unit ApiFunctions;

interface

uses
  System.Classes, Generics.Collections,
  XData.Service.Common;

type
  [ServiceContract]
  IMyService = interface(IInvokable)
  ['{BAD477A2-86EC-45B9-A1B1-C896C58DD5E0}']
    function Sum(A, B: double): double;
    function HelloWorld: string;
  end;

implementation

initialization
  RegisterServiceType(TypeInfo(IMyService));

end.
